Show / Hide Table of Contents

# Class EventObj

This class represents an EventObj.

##### Inheritance

System.Object
Actor
EventObj

##### Implements

System.IEquatable<Actor>

##### Inherited Members

Actor.actorStruct
Actor.dalamud
Actor.Address
Actor.Position
Actor.Rotation
Actor.Name
Actor.ActorId
Actor.ObjectKind
Actor.YalmDistanceX
Actor.YalmDistanceY
Actor.TargetActorID
Actor.StatusEffects
Actor.IEquatable<Actor>.Equals(Actor)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types.NonPlayer

###### Assembly: Dalamud.dll

##### Syntax

    public class EventObj : Actor, IEquatable<Actor>

### Constructors

| Improve this Doc View Source

#### EventObj(IntPtr, Actor, Dalamud)

Set up a new EventObj with the provided memory representation.

##### Declaration

    public EventObj(IntPtr address, Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of this actor in memory.
Actor | actorStruct | The memory representation of the base actor.
Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Properties

| Improve this Doc View Source

#### DataId

The data ID of the NPC linking to their respective game data.

##### Declaration

    public int DataId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Implements

System.IEquatable<T>